<app-loading *ngIf="loading"></app-loading>

<div class="content-header">
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY' (click)="buildRequest()" [mbIsDisable]="loading"
             *ngIf="objFunction.create"
             mbButtonText="{{'common.button.saveS' | translate}}"></mb-button>
</div>

<div class="org-content-main">
  <div nz-row>
    <div nz-col [nzSpan]="6">
      <mb-select [(ngModel)]="idOrg" mbType="default" [mbServerSearch]="true" (mbOnSearch)="searchOrgName($event)"
                 [mbIsLoading]="searching"
                 [mbDataSelects]="orgByNames" mbKeyLabel="orgName" mbKeyValue="orgId"
                 mbPlaceholder="{{'modelOrganization.placeHoder.typeOrgName' | translate}}"
                 mbLabelText="{{ 'modelOrganization.label.orgName' | translate }}"></mb-select>
    </div>

    <div class="org-content-main__search" nz-col [nzSpan]="6">
      <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM' (click)="changeValue()"
                 mbButtonText="{{'common.button.search' | translate}}">
      </mb-button>
      </div>
  </div>
</div>

<nz-table #expandTable [nzData]="listTree" nzTableLayout="fixed" [nzShowPagination]="false" class="table-container">
  <thead>
  <tr>
    <th scope="col">{{'modelOrganization.table.unitName' | translate}}</th>
  </tr>
  </thead>
  <tbody cdkDropList (cdkDropListDropped)="drop($event)">
  <ng-container *ngFor="let data of listTree; let i = index; trackBy:trackBy">
    <ng-container *ngFor="let item of mapOfExpandedDataTree[data.key]; let i = index; trackBy:trackBy">
      <tr *ngIf="(item.parent && item.parent.expand) || !item.parent" cdkDrag>
        <td
          [nzIndentSize]="item.level! * 20"
          [nzShowExpand]="true"
          [(nzExpand)]="item.expand"
          (nzExpandChange)="collapseTree(i, item, $event)"
        >
          {{ item.orgName }}
        </td>
      </tr>
    </ng-container>
  </ng-container>
  </tbody>
</nz-table>
